<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
	<xsl:template match="/profiler_result">
		<html>

			<head>
				<META http-equiv="Content-Type" content="text/html; charset=US-ASCII"/>
				<title>Memory Summary</title>
				<link title="Style" type="text/css" rel="stylesheet" href="stylesheet.css"/>
			</head>
			<table width="100%">
			  <tr>
				<td align="left">
						<a href="rules.html">Rules summary</a> - Memories summary
				</td>
				<td align="right">
				  <xsl:if test="@mode='noMemoryInfo'">
				    No memory counting information ! Check that the jrules-engine-profilingMode.jar 
				    is defined in your classpath before the jrules-engine.jar file.
			      </xsl:if>
				</td>
			  </tr>
			</table>
			<hr size="1"/>
			<h2>
				<a name="#top">Memories Summary</a>
			</h2>
			<a href="#classMem">classMem</a>
			- <a href="#autoFinderMem">autoFinderMem</a>
			- <a href="#discMem">discMem</a>
			- <a href="#joinMem">joinMem</a>
			- <a href="#leftMem">leftMem</a>
			- <a href="#ruleMem">ruleMem</a>
			<h2>
				<br/>
				<a name="#classMem">Class Memories</a> (<a href="#top">top</a>)
			</h2>
			<table width="95%" cellspacing="2" cellpadding="7" border="0" class="details">
				<tr valign="top">
					<th>Id</th>
					<th>Kind</th>
					<th>Rule</th>
					<th>Size</th>
					<th>Tested Element</th>
					<th>Added Element</th>
					<th>Removed Element</th>
				</tr>
				<xsl:apply-templates select="mems/mem[@kind='classMem']"/>
			</table>
			<h2>
				<br/>
				<a name="#autoFinderMem">Auto Finder Memories</a> (<a href="#top">top</a>)
			</h2>
			<table width="95%" cellspacing="2" cellpadding="7" border="0" class="details">
				<tr valign="top">
					<th>Id</th>
					<th>Kind</th>
					<th>Rule</th>
					<th>Size</th>
					<th>Tested Element </th>
					<th>Added Element </th>
					<th>Removed Element </th>
				</tr>
				<xsl:apply-templates select="mems/mem[@kind='autoFinderMem']"/>
			</table>
			<h2>
				<br/>
				<a name="#discMem">Disc Memories</a> (<a href="#top">top</a>)
			</h2>
			<table width="95%" cellspacing="2" cellpadding="7" border="0" class="details">
				<tr valign="top">
					<th>Id</th>
					<th>Kind</th>
					<th>Rule</th>
					<th>Size</th>
					<th>Tested Element </th>
					<th>Added Element </th>
					<th>Removed Element </th>
				</tr>
				<xsl:apply-templates select="mems/mem[@kind='discMem']"/>
			</table>
			<h2>
				<br/>
				<a name="#joinMem">Join Memories</a> (<a href="#top">top</a>)
			</h2>
			<table width="95%" cellspacing="2" cellpadding="7" border="0" class="details">
				<tr valign="top">
					<th>Id</th>
					<th>Kind</th>
					<th>Rule</th>
					<th>Size</th>
					<th>Tested Element </th>
					<th>Added Element </th>
					<th>Removed Element </th>
				</tr>
				<xsl:apply-templates select="mems/mem[@kind='joinMem']"/>
			</table>
			<h2>
				<br/>
				<a name="#leftMem">Left Memories</a> (<a href="#top">top</a>)
			</h2>
			<table width="95%" cellspacing="2" cellpadding="7" border="0" class="details">
				<tr valign="top">
					<th>Id</th>
					<th>Kind</th>
					<th>Rule</th>
					<th>Size</th>
					<th>Tested Element </th>
					<th>Added Element </th>
					<th>Removed Element </th>
				</tr>
				<xsl:apply-templates select="mems/mem[@kind='leftMem']"/>
			</table>
			<h2>
				<br/>
				<a name="#ruleMem">Rule Memories</a> (<a href="#top">top</a>)
			</h2>
			<table width="95%" cellspacing="2" cellpadding="7" border="0" class="details">
				<tr valign="top">
					<th>Id</th>
					<th>Kind</th>
					<th>Rule</th>
					<th>Size</th>
					<th>Tested Element</th>
					<th>Added Element</th>
					<th>Removed Element</th>
				</tr>
				<xsl:apply-templates select="rule_mems/mem"/>
			</table>
		</html>
	</xsl:template>
	<xsl:template match="mem">
		<tr valign="top" class="Pass">
			<td>
				<a>
					<xsl:attribute name="href"><xsl:value-of select="@id"/>.html</xsl:attribute>
					<xsl:value-of select="@id"/>
				</a>
			</td>
			<td>
				<xsl:value-of select="@kind"/>
			</td>
			<td>
				<xsl:for-each select="linked_rules/rule">
					<a>
						<xsl:attribute name="href"><xsl:value-of select="text()"/>.html</xsl:attribute>
						<xsl:value-of select="text()"/>
						<br/>
					</a>
				</xsl:for-each>
			</td>
			<td>
				<xsl:value-of select="size/average"/>
			        (<xsl:value-of select="size/min"/>,<xsl:value-of select="size/max"/>)
			</td>
			<td>
				<xsl:value-of select="./mem_stat/tested"/>
				<a> (</a>
				<xsl:value-of select="./mem_stat/true_tested"/>
				<a>)</a>
			</td>
			<td>
				<xsl:value-of select="./mem_stat/added"/>
			</td>
			<td>
				<xsl:value-of select="./mem_stat/removed"/>
			</td>
		</tr>
	</xsl:template>
</xsl:stylesheet>
