<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
	<xsl:template match="/profiler_result">
		<html>
			<head>
				<META http-equiv="Content-Type" content="text/html; charset=US-ASCII"/>
				<title>Rules Summary</title>
				<link title="Style" type="text/css" rel="stylesheet" href="stylesheet.css"/>
			</head>
			<table width="100%">
				<tr>
					<td align="left">Rules summary - <a href="memories.html">Memories summary</a>
					</td>
				  <td align="right">
				   <xsl:if test="@mode='noMemoryInfo'">
				    No memory counting information ! Check that the jrules-engine-profilingMode.jar 
				    is defined in your classpath before the jrules-engine.jar file.
			       </xsl:if>
				  </td>
				 </tr>
			</table>
			<xsl:apply-templates select="rules"/>
		</html>
	</xsl:template>
	<xsl:template match="rules">
		<hr size="1"/>
		<h2>Rules Summary</h2>
		<table width="95%" cellspacing="2" cellpadding="7" border="0" class="details">
			<tr valign="top">
				<th>Rule</th>
				<th>Executed</th>
				<th>Added</th>
				<th>Removed</th>
				<th>Element Tested</th>
				<th>Element Added</th>
				<th>Element removed</th>
			</tr>
			<xsl:apply-templates select="rule"/>
		</table>
	</xsl:template>
	<xsl:template match="rule">
		<tr valign="top" class="Pass">
			<td>
				<a>
					<xsl:attribute name="href"><xsl:value-of select="./name"/>.html</xsl:attribute>
					<xsl:value-of select="./name"/>
				</a>
			</td>
			<td>
				<xsl:value-of select="./executed"/>
			</td>
			<td>
				<xsl:value-of select="./added"/>
			</td>
			<td>
				<xsl:value-of select="./removed"/>
			</td>
			<td>
				<xsl:value-of select="./mem_stat/tested"/>
				<a> (</a>
				<xsl:value-of select="./mem_stat/true_tested"/>
				<a>)</a>

			</td>
			<td>
				<xsl:value-of select="./mem_stat/added"/>
			</td>
			<td>
				<xsl:value-of select="./mem_stat/removed"/>
			</td>
		</tr>
	</xsl:template>
	<xsl:template match="rule_mems"/>
	<xsl:template match="mems"/>
</xsl:stylesheet>
